
package de.ivu.elect.presentation.exchange.action;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.datei.entity.DateiExport;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Specializes
public class NlWasDateiExportSearchActionMenu extends DateiExportSearchActionMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient KorrekturDokumentErzeugenAction korrekturDokumentErzeugenAction;

  @Inject
  private transient NlWasDateiExportContainingErgebnisDifferenzFileDeleteAction nlWasDateiExportContainingErgebnisDifferenzFileDeleteAction;

  public NlWasDateiExportSearchActionMenu() {
    super();
  }

  @Override
  protected void addDownloadAction(List<ActionEntry<DateiExport>> result) {
    super.addDownloadAction(result);

    result.add(korrekturDokumentErzeugenAction);
  }

  @Override
  protected void addDeleteAction(List<ActionEntry<DateiExport>> result) {
    super.addDeleteAction(result);

    result.add(nlWasDateiExportContainingErgebnisDifferenzFileDeleteAction);
  }
}
